ruby-grape ruby gem 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1214679 漏洞类型 跨站脚本
发布时间 2018-07-06 更新时间 2018-07-06
CVE编号 CVE-2018-3769 CNNVD-ID CNNVD-201807-339
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201807-339
|漏洞详情
ruby-grape ruby gem是一款用于在Ruby中创建类REST API的框架。 ruby-grape ruby gem中存在跨站脚本漏洞。远程攻击者可借助‘format’参数利用该漏洞注入任意的Web脚本或HTML。
|参考资料

来源:github.com

链接:https://github.com/ruby-grape/grape/commit/6876b71efc7b03f7ce1be3f075eaa4e7e6de19af


来源:github.com

链接:https://github.com/ruby-grape/grape/issues/1762


来源:github.com

链接:https://github.com/ruby-grape/grape/pull/1763